<template>
  <template v-if="isAnimation">
    <div :key="componentKey" :class="{ 'mobile-banner-container': isMobile }">
      <el-carousel
        v-if="themeBannerForDisplay.length > 0"
        arrow="always"
        trigger="click"
        :initial-index="0"
        :height="autoBannerHeight"
        :interval="3000"
      >
        <el-carousel-item v-for="banner in animateBanner" :key="banner">
          <div class="h-full">
            <div class="img-container">
              <div class="relative h-full w-full">
                <img
                  :src="banner[0].ImagePath"
                  :class="['mx-auto duration-700 relative w-full h-full', isMobile ? 'object-cover' : 'object-contain']"
                  loading="lazy"
                />
                <div class="h-full absolute top-0"
                  :class="isMobile ? 'right-[2%] w-[37%]' : 'right-[10.43rem] w-[403px]'">
                  <div
                    v-if="
                      activedTab !== 'Games' &&
                      banner[Object.keys(banner).length - 1] !== undefined &&
                      banner[Object.keys(banner).length - 1].HtmlId.includes(
                        'logo'
                      )
                    "
                    class="flex flex-col items-center justify-center logo-banner w-full h-full absolute right-[-10.5%] top-[0%]"
                  >
                    <div :class="name === 'sports' ? bannerLogoSizeSport : bannerLogoSizeLC">
                      <img
                        :src="banner[Object.keys(banner).length - 1].ImagePath"
                        :class="['object-contain ', isMobile && name === 'sports' ? 'w-[80%] text-[13px] mb-[10px] max-w-full h-auto pb-3.5' : 'max-w-full h-auto', !isMobile ? htmlClass[banner[Object.keys(banner).length - 1].HtmlId] : '']"
                      />
                    </div>
                    <div :class="['text-center text-white leading-[normal]', isMobile ? 'w-full text-[13px]' : ' text-[20px] w-[403px]']">
                      {{ banner[Object.keys(banner).length - 1].Text }}
                    </div>
                    <div
                      class="font-bold cursor-pointe btn --secondary z-10 "
                      :class="isMobile ? 'w-[106px] h-[28px] text-sm mt-[10px]' : 'w-[180px] h-[36px]'"
                      @click="handleClick(banner[0].HtmlId)"
                    >
                      {{ $t("play_now") }}
                    </div>
                  </div>
                </div>

                <div>
                  <div
                    v-if="banner[1] !== undefined"
                    :class="`stage ${htmlClass[banner[1].HtmlId]}`"
                  >
                    <img
                      :class="`${htmlClass[banner[1].HtmlId]}-float`"
                      :src="banner[1].ImagePath"
                    />
                  </div>
                  <div
                    v-if="banner[2] !== undefined"
                    :class="`stage ${htmlClass[banner[2].HtmlId]}`"
                  >
                    <img
                      :class="`${htmlClass[banner[2].HtmlId]}-float`"
                      :src="banner[2].ImagePath"
                    />
                  </div>
                  <div
                    v-if="banner[3] !== undefined"
                    :class="`stage ${htmlClass[banner[3].HtmlId]}`"
                  >
                    <img
                      :class="`${htmlClass[banner[3].HtmlId]}-float`"
                      :src="banner[3].ImagePath"
                    />
                  </div>
                  <div
                    v-if="banner[4] !== undefined && activedTab === 'games'"
                    :class="`stage ${htmlClass[banner[4].HtmlId]}`"
                  >
                    <img
                      :class="`bounce-1 ${htmlClass[banner[4].HtmlId]}-float`"
                      :src="banner[4].ImagePath"
                    />
                  </div>
                </div>
              </div>
            </div>
          </div>
        </el-carousel-item>
      </el-carousel>
    </div>
  </template>
  <el-carousel
    v-if="!isAnimation && themeBannerForDisplay.length !== 0"
    arrow="always"
    trigger="click"
    :initial-index="0"
    :height="autoBannerHeight"
    :interval="3000"
  >
    <el-carousel-item
      v-for="item in themeBannerForDisplay"
      :key="item"
      style="display: block"
    >
      <nuxt-link :to="item.HyperLink">
        <div class="img-container">
          <img
            :src="item.ImagePath"
            class="mx-auto duration-700 relative w-full h-full object-contain"
            loading="lazy"
          />
        </div>
      </nuxt-link>
    </el-carousel-item>
  </el-carousel>
</template>

<script lang="ts" setup>
import _ from "lodash";
import { computed, ref, Ref, watch } from "vue";
import themePropertyHelper from "@/utils/themePropertyHelper";
import { ThemePropertiesFromApiDto } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";
import {
  useGameEntryBaseOnTabSelected,
  handleGameEntryOpenWindow,
} from "@/composables/useTheme";
import { gameStore } from "~~/store/game";

const props = defineProps({
  activedTab: {
    type: String,
    default: "",
  },
  height: {
    type: String,
    default: "auto",
  },
});
const bannerKeys: any = {
  home: "lobby_banner_",
  sports: ["sport_banner_1", "sport_banner_2"],
  virtualsports: "virtual_sport_banner_",
  livecasino: [
    "live_casino_banner_1",
    "live_casino_banner_2",
    "live_casino_banner_3",
    "live_casino_banner_4",
  ],
  games: ["game_banner_"],
  poker: "poker_banner_",
  lottery: "lottery_banner_",
  cockfight: "cockfight_banner_",
  promotion: "promotion_banner_",
};
const isAnimation = ref<boolean>(false);
const actived = computed(() => _.toLower(props.activedTab));
const except = ["sports", "games", "livecasino"];
const themeProperties =
  store.state.companyThemePropertiesFromApi.ThemeProperties;
const themeBannerForDisplay: Ref<Array<ThemePropertiesFromApiDto>> = ref(
  [] as ThemePropertiesFromApiDto[]
);
const animateBanner: Ref<Record<any, any>> = ref({});
const checkTab = () => {
  themeBannerForDisplay.value = [];
  animateBanner.value = {};
  if (!_.includes(except, actived.value)) {
    isAnimation.value = false;
    // @ts-ignore
    const bannerKey = computed(
      () => bannerKeys[actived.value] ?? bannerKeys.home
    );
    themeBannerForDisplay.value =
      themePropertyHelper.getMultipleThemesProperties(
        themeProperties,
        bannerKey.value
      );
  } else {
    isAnimation.value = true;
    // @ts-ignore
    bannerKeys[actived.value].forEach((item: any, index) => {
      const single = themePropertyHelper.getSingleThemeProperty(
        themeProperties,
        item
      );
      if (!single.IsHidden) {
        themeBannerForDisplay.value =
          themePropertyHelper.getMultipleThemesProperties(
            themeProperties,
            item
          );
        if (actived.value === "sports") {
          themeBannerForDisplay.value = _.filter(
            themeBannerForDisplay.value,
            (theme) => !_.includes(theme.HtmlId, "virtual_")
          );
        }
        // @ts-ignore
        animateBanner.value[index] = themeBannerForDisplay.value;
      }
    });
  }
};
checkTab();
const componentKey = ref(0);
const forceRerender = () => {
  componentKey.value += 1;
};
const isMobile = !useIsDesktop();
const router = useRouter();
const { name } = useRoute();
watch(props, () => {
  checkTab();
  forceRerender();
});
const htmlClass: any = {
  sport_banner_1_1: "orange-paper-1",
  sport_banner_1_2: "white-paper-1",
  sport_banner_1_3: "white-paper-2",
  sport_banner_2_1: "orange-paper-2",
  sport_banner_2_2: "white-paper-3",
  sport_banner_2_3: "ball-1",
  live_casino_banner_1_1: "black-dice-1",
  live_casino_banner_1_2: "black-dice-2",
  live_casino_banner_1_3: "black-dice-3",
  live_casino_banner_2_1: "coinbox-1",
  live_casino_banner_2_2: "girl-1",
  live_casino_banner_2_3: "blackjack-1",
  live_casino_banner_3_1: "black-coin-1",
  live_casino_banner_3_2: "black-coin-2",
  live_casino_banner_4_1: "card-1",
  live_casino_banner_4_2: "red-dice-1",
  live_casino_banner_4_3: "red-coin-1",
  game_banner_1_1: "dice-1",
  game_banner_1_2: "dice-2",
  game_banner_1_3: "coin-1",
  game_banner_1_4: "ball-3",
  live_casino_banner_1_logo: "icon-ae_sexy",
};
const resizing = ref();
setInterval(() => {
  resizing.value = window.innerWidth;
}, 500);
const autoBannerHeight = computed(() =>
  props.height === "auto" ? `${resizing.value / (isMobile ? 2.236 : 4.03)}px` : props.height
);
const authenticated = computed(() => store.state.auth);
const { gameEntrySelected } = useGameEntryBaseOnTabSelected();
const { toggleLoginRegisterDialog } = commonHelper;
const games = computed(() => gameStore.state.games);
const liveCasinoGame: any = {
  live_casino_banner_1: "SEXYGAMING",
  live_casino_banner_2: "EVOLUTIONGAMING",
  live_casino_banner_3: "SAGAMING",
  live_casino_banner_4: "ALLBET",
};
const sportGame: any = {
  sport_banner_1: "sabasports",
  sport_banner_2: "sbosports",
};

const handleClick = (name: string) => {
  if (authenticated.value) {
    if (actived.value === "livecasino") {
      const game = games.value.find((item) => {
        if (!item.EnglishGameName) return false;
        return (
          item.EnglishGameName.replace(/\s+/g, "").toLowerCase() ===
          String(liveCasinoGame[name]).toLowerCase()
        );
      });

      if (game !== undefined) {
        handleGameEntryOpenWindow(game, 850, 850);
      }
    }
    if (actived.value === "sports") {
      const game = games.value.find((item) => {
        if (!item.EnglishGameName) return false;
        return (
          item.EnglishGameName.replace(/\s+/g, "").toLowerCase() ===
          String(sportGame[name]).toLowerCase()
        );
      });
      if (game !== undefined) {
        handleGameEntryOpenWindow(game, 850, 850);
      }
    }
  } else if (isMobile) {
    toggleLoginRegisterDialog();
  } else {
    router.push("/login");
  }
};
const bannerLogoSizeSport = isMobile ? 'm-sport-banner-logo' : 'sport-banner-logo';
const bannerLogoSizeLC = isMobile ? 'w-full h-auto translate-y-[-0.07rem] items-center flex justify-center pb-3.5' : 'w-[296px] pb-3.5';
</script>

<style scoped>
.sport-banner-logo {
  align-items: flex-start;
  display: flex;
  height: auto;
  justify-content: center;
  transform: translateY(-0.07rem);
  width: 280.38px;
  padding-bottom: 14px;
}
.m-sport-banner-logo {
  align-items: center;
  display: flex;
  height: auto;
  justify-content: center;
  transform: translateY(-0.07rem);
  width: 100%;
  padding-bottom: 14px;
}
.icon-ae_sexy {
  background-size: 100% 100%;
  display: inline-block;
  height: 102px;
  width: 270px;
}
.btn {
  font-size: 16px;
  border-radius: 20px;
  margin-top: 34px;
  padding: .5vh;
  font-weight: 500;
  white-space: nowrap;
}
.btn.--secondary {
  color: black;
  background-color: var(--secondary);
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn.--secondary:hover {
  color: white;
  background-color: var(--primary);
}
.hsport_wrapper {
  background: #111;
  background-position: center 0;
  background-size: cover;
  padding-top: 88px;
  padding-bottom: 88px;
  width: 100%;
  margin-top: 80px;
}
.back-img {
  @apply w-full h-full object-cover relative top-0 right-0;
}
.stage {
  display: flex;
  height: 430px;
  width: 110%;
}
.logo-banner {
  align-self: flex-end;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  transform-origin: bottom;
}
.el-carousel__item.is-active .ball-1 {
  animation: fadeInUp-ball 1s ease backwards;
}
.el-carousel__item.is-active .white-paper-1 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .white-paper-2 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .white-paper-3 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .orange-paper-1 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .orange-paper-2 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .dice-1 {
  animation: fadeInUp-left 1s ease backwards;
}
.el-carousel__item.is-active .dice-2 {
  animation: fadeInUp-left 2s ease backwards;
}
.el-carousel__item.is-active .coin-1 {
  animation: fadeInUp 1s ease backwards;
}
.el-carousel__item.is-active .ball-3 {
  animation: fadeInUp-right 2s ease backwards;
}
.el-carousel__item.is-active .black-dice-1 {
  animation: fadeInUp 2s ease backwards;
}
.el-carousel__item.is-active .black-dice-2 {
  animation: fadeInUp 2s ease backwards;
}
.el-carousel__item.is-active .black-dice-3 {
  animation: fadeInUp 2s ease backwards;
}
.el-carousel__item.is-active .black-coin-1 {
  animation: fadeInUp 2s ease backwards;
}
.el-carousel__item.is-active .black-coin-2 {
  animation: fadeInUp 2s ease backwards;
}
.el-carousel__item.is-active .card-1 {
  animation: fadeInDown-left 1.2s ease backwards;
}
.el-carousel__item.is-active .red-dice-1 {
  animation: fadeInUp 1.7s ease backwards;
}
.el-carousel__item.is-active .red-coin-1 {
  animation: fadeInDown-left 1.2s ease backwards;
}
.el-carousel__item.is-active .blackjack-1 {
  animation: rotateIn 1.5s ease backwards;
}
@keyframes fadeInUp {
  0% {
    transform: translate(0px, 200px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes fadeInUp-ball {
  0% {
    transform: translate(150px, 150px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes fadeInUp-left {
  0% {
    transform: translate(250px, 50px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes fadeInDown-left {
  0% {
    transform: translate(250px, -50px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes fadeInUp-right {
  0% {
    transform: translate(-150px, 300px);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
@keyframes rotateIn {
  0% {
    transform: translate(150px, -50px) rotate(120deg);
    opacity: 0;
  }
  100% {
    transform: translate(0px, 0);
    opacity: 1;
  }
}
.stage {
  display: flex;
  height: 478px;
  width: 100%;
}
.ball-1 {
  position: absolute;
  top: -160px;
  left: -100px;
}
.ball-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 82px;
  animation-name: whitepaper-2;
  animation-timing-function: linear;
}
.white-paper-1 {
  position: absolute;
  top: -380px;
  left: 110px;
}
.white-paper-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 43px;
  animation-name: whitepaper-1;
  animation-timing-function: linear;
}
.white-paper-2 {
  position: absolute;
  top: -415px;
  left: 245px;
}
.white-paper-2-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 130px;
  animation-name: whitepaper-2;
  animation-timing-function: linear;
}
.white-paper-3 {
  position: absolute;
  top: -295px;
  left: 68px;
}
.white-paper-3-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 49px;
  animation-name: whitepaper-1;
  animation-timing-function: linear;
}
.orange-paper-1 {
  position: absolute;
  top: -250px;
  left: -520px;
}
.orange-paper-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 130px;
  animation-name: orangepaper-1;
  animation-timing-function: linear;
}
.orange-paper-2 {
  position: absolute;
  top: -250px;
  left: -320px;
}
.orange-paper-2-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 69px;
  animation-name: orangepaper-1;
  animation-timing-function: linear;
}
.dice-1 {
  position: absolute;
  top: -320px;
  left: -440px;
}
.dice-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 87px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.dice-2 {
  position: absolute;
  top: -200px;
  left: -390px;
}
.dice-2-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 61px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.coin-1 {
  position: absolute;
  top: -140px;
  left: 30px;
}
.coin-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 65px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.ball-3 {
  position: absolute;
  top: -215px;
  left: 405px;
}
.ball-3-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 109px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.black-dice-1 {
  position: absolute;
  top: -315px;
  left: 68px;
}
.black-dice-1-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 106px;
  animation-name: blackdice-1;
  animation-timing-function: linear;
}
.black-dice-2 {
  position: absolute;
  top: -250px;
  left: -68px;
}
.black-dice-2-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 173px;
  animation-name: blackdice-2;
  animation-timing-function: linear;
}
.black-dice-3 {
  position: absolute;
  top: -185px;
  left: 38px;
}
.black-dice-3-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 162px;
  animation-name: blackdice-3;
  animation-timing-function: linear;
}
.black-coin-1 {
  position: absolute;
  top: -175px;
  left: -98px;
}
.black-coin-1-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 99px;
  animation-name: blackcoin-1;
  animation-timing-function: linear;
}
.black-coin-2 {
  position: absolute;
  top: -245px;
  left: 48px;
}
.black-coin-2-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 60px;
  animation-name: blackcoin-2;
  animation-timing-function: linear;
}
.card-1 {
  position: absolute;
  top: -150px;
  left: -385px;
}
.card-1-float {
  align-self: flex-end;
  animation-duration: 5s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 99px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.red-dice-1 {
  position: absolute;
  top: -138px;
  left: -86px;
}
.red-dice-1-float {
  align-self: flex-end;
  animation-duration: 6s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 60px;
  animation-name: blackcoin-1;
  animation-timing-function: linear;
}
.red-coin-1 {
  position: absolute;
  top: -245px;
  left: 48px;
}
.red-coin-1-float {
  align-self: flex-end;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 63px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.coinbox-1 {
  position: absolute;
  bottom: -7px;
  left: 1px;
  z-index: 1;
}
.coinbox-1-float {
  align-self: flex-end;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  height: 478px;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
}
.girl-1 {
  position: absolute;
  bottom: 0px;
  left: 8px;
}
.girl-1-float {
  align-self: flex-end;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  transform-origin: bottom;
}
.blackjack-1 {
  position: absolute;
  bottom: 0px;
  left: -80px;
}
.blackjack-1-float {
  align-self: flex-end;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  margin: 0 auto 0 auto;
  transform-origin: bottom;
  width: 330px;
  animation-name: bounce-2;
  animation-timing-function: linear;
}
.bounce-1 {
  animation-name: bounce-1;
  animation-timing-function: linear;
}
@keyframes bounce-1 {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(-8px);
  }
  100% {
    transform: translateX(0);
  }
}
.bounce-2 {
  animation-name: bounce-2;
  animation-timing-function: linear;
}
@keyframes bounce-2 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(-13px, 24px, 0) rotate(9deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes blackdice-1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(-22px, -14px, 0) rotate(-3deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes blackdice-2 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(14px, -4px, 0) rotate(-7deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes blackdice-3 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(-4px, 13px, 0) rotate(-9deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes blackcoin-1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(-20px, -13px, 0) rotate(-5deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes blackcoin-2 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(14px, -4px, 0) rotate(-14deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes orangepaper-1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(-22px, -14px, 0) rotate(-4deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes whitepaper-1 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(13px, -4px, 0) rotate(-8deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
@keyframes whitepaper-2 {
  0% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
  50% {
    transform: translate3d(21px, -7px, 0) rotate(7deg);
  }
  100% {
    transform: translate3d(0, 0, 0) rotate(0);
  }
}
</style>
<style lang="scss" scoped>
.mobile-banner-container {
  .logo-banner {
    right: 3.5%;
    // width: 135.05px;
    .w-\[296px\] {
      width: unset !important;
    }
    .btn {
      font-size: 14px;
      border-radius: 20px;
      margin-top: 1vh;
      padding: .5vh;
      font-weight: 500;
      white-space: nowrap;
    }
    .w-\[18\.5rem\].h-\[8\.43rem\] {
      width: 4.5rem;
      height: 2rem;
    }
    .text-center.text-white.text-xl {
      font-size: 13px;
    }
  }
  :deep(.el-carousel__arrow) {
    display: none;
  }
  .orange-paper-1 {
    top: -410px;
    left: -149px;
    .orange-paper-1-float {
      height: 25px;
      width: auto;
    }
  }
  .orange-paper-2 {
    top: -373px;
    left: -152px;
    .orange-paper-2-float {
      height: 26px;
      width: auto;
      animation-delay: 0.5s;
    }
  }
  .ball-1 {
    top: -405px;
    left: -50px;
    .ball-1-float {
      height: 25px;
      width: auto;
      animation-delay: 1s;
    }
  }
  .white-paper-2 {
    top: -440px;
    left: 24px;
    .white-paper-2-float {
      height: 25px;
      width: auto;
    }
  }
  .white-paper-1 {
    top: -380px;
    left: -66px;
    .white-paper-1-float {
      height: 25px;
      width: auto;
    }
  }
  .white-paper-3 {
    top: -445px;
    left: 30px;
    .white-paper-3-float {
      height: 25px;
      width: auto;
    }
  }
  .black-dice-1 {
    top: -386px;
    left: 20px;
    .black-dice-1-float {
      height: 16px;
      width: auto;
    }
  }
  .black-dice-2 {
    top: -368px;
    left: 20px;
    .black-dice-2-float {
      height: 17px;
      width: auto;
    }
  }
  .black-dice-3 {
    top: -340px;
    left: 35px;
    .black-dice-3-float {
      height: 29px;
      width: auto;
    }
  }
  .coinbox-1 {
    top: 73px;
    left: 9px;
    height: 91px;
    .coinbox-1-float {
      width: auto;
      height: 91px;
    }
  }
  .blackjack-1 {
    top: -320px;
    left: -10px;
    .blackjack-1-float {
      width: auto;
      height: 60px;
    }
  }
  .el-carousel__item.is-active .blackjack-1 {
    animation: rotateInMobile 1.5s ease backwards;
  }
  @keyframes rotateInMobile {
    0% {
      transform: translate(-180px, 90px) rotate(-80deg);
      opacity: 0;
    }
    100% {
      transform: translate(0px, 0);
      opacity: 1;
    }
  }
  .black-coin-1 {
    top: -360px;
    left: -55px;
    .black-coin-1-float {
      width: auto;
      height: 41px;
    }
  }
  .black-coin-2 {
    top: -400px;
    left: -15px;
    .black-coin-2-float {
      width: auto;
      height: 30px;
    }
  }
  .card-1 {
    top: -415px;
    left: -145px;
    .card-1-float {
      width: auto;
      height: 30px;
    }
  }
  .red-dice-1 {
    top: -426px;
    left: -55px;
    .red-dice-1-float {
      width: auto;
      height: 25px;
    }
  }
  .red-coin-1 {
    top: -410px;
    left: 0px;
    .red-coin-1-float {
      width: auto;
      height: 29px;
    }
  }
  .dice-1 {
    top: -455px;
    left: -130px;
    .dice-1-float {
      width: 23px;
    }
  }
  .dice-2 {
    top: -379px;
    left: -105px;
    .dice-2-float {
      width: 16px;
      animation-delay: 0.5s;
    }
  }
  .coin-1 {
    top: -370px;
    left: 30px;
    .coin-1-float {
      width: 21px;
    }
  }
  .ball-3 {
    top: -415px;
    left: 60px;
    .ball-3-float {
      width: 27px;
    }
  }
}
</style>
